%global momorel 1

Summary: TagLib Audio Meta-Data Library
Name: taglib
Version: 1.5
Release: %{momorel}m%{?dist}
License: GPL
URL: http://developer.kde.org/~wheeler/taglib.html
Group: Development/Libraries
Source0: http://developer.kde.org/~wheeler/files/src/%{name}-%{version}.tar.gz 
NoSource: 0
Patch0: taglib-1.5rc1-multilib.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: cmake
BuildPreReq: zlib-devel

%description
TagLib is a library for reading and editing the meta-data of several popular audio formats. 
Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg Vorbis comments and ID3 tags 
and Vorbis comments in FLAC files.

%package devel
Summary: TagLib Audio Meta-Data Library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
devel files for TagLib Audio Meta-Data Library

%prep
%setup -q
%patch0 -p1 -b .multilib

%build
CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# remove unwanting files
rm -fr examples/.deps
rm -fr examples/Makefile*
rm -f %{buildroot}%{_libdir}/lib*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING.* INSTALL
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc examples
%{_bindir}/*-config
%{_includedir}/taglib/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib*.so

%changelog
* Fri May 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.5-1m)
- update to 1.5 (sync with Fedora devel)

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4-6m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4-5m)
- %%NoSource -> NoSource

* Wed Jan 16 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.4-4m)
- add patch for gcc43, generated by gen43patch(v1)

* Wed Mar 28 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4-3m)
- taglib-devel Requires: pkgconfig

* Mon Feb  5 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4-2m)
- import taglib-1.4_wchar.diff from http://foetida.jaist.ac.jp:37565/~yaz/diary/
  http://foetida.jaist.ac.jp:37565/~yaz/diary/?20060711
  http://vdr.jp/d/20061124.html#p01

* Mon Aug  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4-1m)
- update to version 1.4 (for amarok-1.3-0.3.1m)

* Mon Nov 08 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.1-1m)
- update to 1.3.1

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.3-2m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Wed Sep 15 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3-1m)
- update to version 1.3

* Tue Aug 17 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-1m)
- update to version 1.2 (required by amarok-1.1)
- change URL

* Sun Mar 21 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0-2m)
- change docdir %%defattr

* Mon Feb  9 2004 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.0-1m)
- import to Momonga (required by kdemultimedia-3.2.0)
